/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2.trace.macfilter;

import java.util.HashSet;
import java.util.Set;

import org.pi4.locutil1.MACAddress;

public class MacFilter {
	public boolean contains(MACAddress mac) {
		return true;
	}
	
	public boolean isEmpty() {
		return true;
	}
	
	public String toString() {
		return new String("Empty");
	}
	
	public Set<MACAddress> getMacs() {
		return new HashSet<MACAddress>();
	}
	
	public void add(MACAddress mac) {
		return;
	}
}
